package com.redhat.samples.esb;

import java.util.Map;

import org.apache.log4j.Logger;
import org.jboss.soa.esb.actions.annotation.Process;
import org.jboss.soa.esb.message.Message;

import com.redhat.samples.esb.model.Hello;

public class ResponseAction {

  private static final Logger LOGGER = Logger.getLogger(ResponseAction.class);

  @Process
  public Message process(Message message) throws Exception {
    Object payload = message.getBody().get();
    if (!(payload instanceof Map<?, ?>)) {
      LOGGER.error("message = " + payload);
      return message;
    }
    Map<?, ?> map = (Map<?, ?>) payload;
    Hello hello = (Hello) map.get("hello");
    if (hello == null) {
      LOGGER.error("message = " + payload);
      return message;
    }
    message.getBody().add(String.format("Hello, %s (%s)", hello.getName(), hello.getType()));
    return message;
  }

}
