package com.redhat.samples.esb
import scala.concurrent.duration._

import io.gatling.core.Predef._
import io.gatling.core.Predef.assertions._
import io.gatling.core.Predef.bootstrap._
import io.gatling.http.Headers._
import io.gatling.http.Predef._

class LoadTestScenario extends Simulation {

    val scn = scenario("Load Test against SmooksAction")
        .exec(
            http("Invoke SmooksAction")
                .post("http://localhost:8080/sample-smooks/http/Samples/SmooksService")
                .body(RawFileBody("request.xml"))
                .check(
                    status.is(200),
                    bodyString.is("Hello, Gatling (X)")))

    setUp(scn.inject(constantRate(300 usersPerSec) during (1 minutes)))
        .protocols(http.shareConnections);

}
